::  Generic 3view REF with ATM14.0 mvc+d
::  Oct20 2015 NICT
::  ex. ATM140REF 26 25 200 hall2 ( QP26 25fps 200frames Hall2)
::                %1 %2 %3  %4
md REFQP%1
cd REFQP%1
::
if %2==25 (
set FULLW=1920
set FULLH=1088
set HALFW=960
set HALFH=544
) else (
set FULLW=1024
set FULLH=768
set HALFW=512
set HALFH=384
)
:: Shark is FullHD with 30fps
if %4==shark (
set FULLW=1920
set FULLH=1088
set HALFW=960
set HALFH=544
)
::
set CPF=cam_param_%4.txt
if %4==fly set CPF=cam_param_Fly_3.txt
if %4==street set CPF=..\..\Data\Poznan_Street_00_1920x1088_3reg.txt
if %4==hall2 set CPF=cam_param_poznanhall2.txt
::
set RENCPF=cam_%4.cfg
if %4==fly set RENCPF=cam_gtfly.cfg
if %4==hall2 set RENCPF=cam_poznanhall2.cfg
if %4==street set RENCPF=cam_poznanstreet.cfg
if %4==dancer set RENCPF=cam_undodancer.cfg
::
if %4==dancer set VPOS=5.0
if %4==dancer set RPOS=1.0
if %4==fly set VPOS=5.0
if %4==fly set RPOS=9.0
if %4==newspaper set VPOS=4.0
if %4==newspaper set RPOS=2.0
if %4==balloons set VPOS=3.0
if %4==balloons set RPOS=1.0
if %4==kendo set VPOS=3.0
if %4==kendo set RPOS=1.0
if %4==shark set VPOS=5.0
if %4==shark set RPOS=1.0
if %4==street set VPOS=4.0
if %4==street set RPOS=5.0
if %4==hall2 set VPOS=6.0
if %4==hall2 set RPOS=7.0
::
lencod-REFR64 -d ..\..\..\configs\mvc+d\encoder_texture.cfg -depd ..\..\..\configs\mvc+d\encoder_depth.cfg -p 3DVConfigFile="..\..\..\configs\mvc+d\texture_%4.cfg" -p FramesToBeEncoded=%3 -p FrameRate=%2.0 -p SourceWidth=%FULLW% -p SourceHeight=%FULLH% -p OutputWidth=%FULLW% -p OutputHeight=%FULLH% -p OriginalWidth=%FULLW% -p OriginalHeight=%FULLH% -p TraceFile="REF_trace_enc.txt" -p ReconFile1="REF_rec.yuv" -p OutputFile="REF.264" -p StatsFile="REF_stats.dat" -p QPISlice=%1 -p QPPSlice=%1 -p QPBSlice=%1  -depp 3DVConfigFile="..\..\..\configs\mvc+d\depth_shark.cfg" -depp SourceWidth=%HALFW% -depp SourceHeight=%HALFH% -depp OutputWidth=%HALFW% -depp OutputHeight=%HALFH% -depp OriginalWidth=%HALFW% -depp OriginalHeight=%HALFH% -depp TraceFile="REF_trace_enc_depth.txt" -depp ReconFile1="REF_depth_rec.yuv" -depp StatsFile="REF_depth_stats.dat" -depp QPISlice=%1 -depp QPPSlice=%1 -depp QPBSlice=%1  > ATM140%4REFQP%1.log
::
md dec
cd dec
::
ldecod-REFR64 -f ..\..\..\..\configs\decoder.cfg -p InputFile="..\REF.264" -p NormalizeDepth=1 -p PostDilation=1 >> ..\ATM140%4REFQP%1.log
::
::
call ..\..\RENDpsnrallREF.bat %1 %4 %3
::
cd ..\..
